Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRigidbody2D Class Reference

参照方法が複数ある柔軟なRigidbody2D型を扱うクラス。 More...

Inheritance diagram for FlexibleRigidbody2D:

## Public Member Functions
| FlexibleRigidbody2D ()
| FlexibleRigidbody2Dデフォルトコンストラクタ More...
| FlexibleRigidbody2D (Rigidbody2D value)
| FlexibleRigidbody2Dコンストラクタ More...
| FlexibleRigidbody2D (Rigidbody2DParameterReference parameter)
| FlexibleRigidbody2Dコンストラクタ More...
| FlexibleRigidbody2D (InputSlotRigidbody2D slot)
| FlexibleRigidbody2Dコンストラクタ More...
| FlexibleRigidbody2D (FlexibleHierarchyType hierarchyType)
| FlexibleRigidbody2Dコンストラクタ。 More...

## Static Public Member Functions
static | operator Rigidbody2D (FlexibleRigidbody2D flexible)
| FlexibleRigidbody2DをRigidbody2Dにキャスト。 More...
static | operator FlexibleRigidbody2D (Rigidbody2D value)
| Rigidbody2DをFlexibleRigidbody2Dにキャスト。 More...

## Detailed Description

参照方法が複数ある柔軟なRigidbody2D型を扱うクラス。

## Constructor & Destructor Documentation

## ◆ FlexibleRigidbody2D() [1/5]

FlexibleRigidbody2D | ( |  | ) |

FlexibleRigidbody2Dデフォルトコンストラクタ

## ◆ FlexibleRigidbody2D() [2/5]

FlexibleRigidbody2D | ( | Rigidbody2D | value | ) |

FlexibleRigidbody2Dコンストラクタ

Parameters

  value | 値

## ◆ FlexibleRigidbody2D() [3/5]

FlexibleRigidbody2D | ( | Rigidbody2DParameterReference | parameter | ) |

FlexibleRigidbody2Dコンストラクタ

Parameters

  parameter | パラメータ

## ◆ FlexibleRigidbody2D() [4/5]

FlexibleRigidbody2D | ( | InputSlotRigidbody2D | slot | ) |

FlexibleRigidbody2Dコンストラクタ

Parameters

  slot | スロット

## ◆ FlexibleRigidbody2D() [5/5]

FlexibleRigidbody2D | ( | FlexibleHierarchyType | hierarchyType | ) |

FlexibleRigidbody2Dコンストラクタ。

Parameters

  hierarchyType | 参照するオブジェクトのヒエラルキータイプ

## Member Function Documentation

## ◆ operator FlexibleRigidbody2D()

static operator FlexibleRigidbody2D | ( | Rigidbody2D | value | ) |
| explicit static

Rigidbody2DをFlexibleRigidbody2Dにキャスト。

Parameters

  value | Rigidbody2D

## ◆ operator Rigidbody2D()

static operator Rigidbody2D | ( | FlexibleRigidbody2D | flexible | ) |
| explicit static

FlexibleRigidbody2DをRigidbody2Dにキャスト。

Parameters

  flexible | FlexibleRigidbody2D